pcl (1.15.0+dfsg-2+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 1.12.1+dfsg-3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 03 Feb 2022 18:00:06 +0000]
  * Build with clang 11 to avoid armv7 contamination.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 06 Mar 2025 07:24:48 +0000

pcl (1.15.0+dfsg-2) unstable; urgency=medium

  * Work around test failing on i386
  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 24 Feb 2025 09:16:33 +0100

pcl (1.15.0+dfsg-1) experimental; urgency=medium

  [ Helge Deller ]
  * Ignore tests on hppa and sparc64 (big-endian) (Closes: #1091665)

  [ Jochen Sprickerhof ]
  * d/copyright: Files-Excluded: cJSON
  * New upstream version 1.15.0+dfsg
    - Closes: #1088186 (Fix CVE-2024-53432)
  * Build depend on libcjson-dev
  * Update d/copyright
  * Rediff patches
  * Rename library packages due to Soname bump
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 23 Feb 2025 09:02:36 +0100

pcl (1.14.0+dfsg-5) unstable; urgency=medium

  * Fix Compatibility with clang-19 (Closes: #1091304)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 14 Jan 2025 14:16:25 +0100

pcl (1.14.0+dfsg-4) unstable; urgency=medium

  * Hard-code PCL_ROOT (Closes: #1080061)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 31 Aug 2024 16:50:03 +0200

pcl (1.14.0+dfsg-3) unstable; urgency=medium

  * Fix minor issues in tests (Closes: #1077412)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 05 Aug 2024 09:21:00 +0200

pcl (1.14.0+dfsg-2) unstable; urgency=medium

  * Drop old Breaks
  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 09 May 2024 10:10:48 +0200

pcl (1.14.0+dfsg-1) experimental; urgency=medium

  * Update Files-Excluded to drop zlib sources
  * New upstream version 1.14.0+dfsg
  * Update d/copyright
  * Rediff patches
  * Rename library packages due to Soname bump

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 07 Feb 2024 08:31:15 +0100

pcl (1.13.0+dfsg-4) unstable; urgency=medium

  * Add patch to work around failing tests on i386 (Closes: #1060105)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jan 2024 11:44:51 +0100

pcl (1.13.0+dfsg-3) unstable; urgency=medium

  * upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 09 Jan 2023 21:21:07 +0100

pcl (1.13.0+dfsg-2) experimental; urgency=medium

  * Add patch for failing tests on i386
  * Fix dwz with clang

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 07 Jan 2023 09:26:50 +0100

pcl (1.13.0+dfsg-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Jochen Sprickerhof ]
  * Better fix for dwz failing with clang
  * New upstream version 1.13.0+dfsg
  * Rebase patches
  * Drop patches to disable tests
  * Switch to new libglut-dev package name
  * Move package description to source package
  * Rename library packages due to Soname bump
  * Update d/copyright
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 01 Jan 2023 13:00:10 +0100

pcl (1.12.1+dfsg-6) unstable; urgency=medium

  * Disable dh_dwz for clang builds
  * Revert "Temporary add depends for #1013316"

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 25 Sep 2022 12:41:19 +0200

pcl (1.12.1+dfsg-5) unstable; urgency=medium

  * Add upstream patch to fix build on armhf

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 19 Aug 2022 13:41:49 +0200

pcl (1.12.1+dfsg-4) unstable; urgency=medium

  * Add upstream source
  * Temporary add depends for #1013316
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 13 Jul 2022 15:20:25 +0200

pcl (1.12.1+dfsg-3) unstable; urgency=medium

  * Add missing dependency (Closes: #1002786)
  * Add patch for wrong boost pkg-config dependency (Closes: #1002753)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 29 Dec 2021 10:52:53 +0100

pcl (1.12.1+dfsg-2) unstable; urgency=medium

  * Fix more unit tests on i386

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 25 Dec 2021 15:01:23 +0100

pcl (1.12.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.12.1+dfsg
  * Rebase patches
  * Update copyright
  * Drop empty documentation
  * Add patch to drop build path in cmake file

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 24 Dec 2021 23:58:00 +0100

pcl (1.12.0+dfsg-6) unstable; urgency=medium

  * Fix ppc64 in d/rules
  * Fix double space
  * Add patch for failing tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 13 Dec 2021 22:14:52 +0100

pcl (1.12.0+dfsg-5) unstable; urgency=medium

  * upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 11 Oct 2021 21:43:17 +0200

pcl (1.12.0+dfsg-4) experimental; urgency=medium

  * Only run tests if they are enabled
  * Fix tests on armel

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 10 Oct 2021 11:23:52 +0200

pcl (1.12.0+dfsg-3) experimental; urgency=medium

  * Fix preprocessor syntax

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 09 Oct 2021 17:38:10 +0200

pcl (1.12.0+dfsg-2) experimental; urgency=medium

  * Fix build and disable failing tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 09 Oct 2021 16:59:23 +0200

pcl (1.12.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.12.0+dfsg
    - Switch to Qhull reentrant (Closes: #990399)
    - Fix PCLConfig.cmake (LP: #1928819)
  * Switch to VTK9
  * Update copyright
  * Rebase patches
  * Use /tags in d/watch
  * Bump policy version (no changes)
  * Remove unused manpages
  * Rename binary package due to Soversion bump
  * Install examples
  * Simplify rules, run tests
  * Add patch to set LD_LIBRARY_PATH for tests
  * Add patch to disable failing tests
  * Add d/clean
  * Cleanup

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 02 Oct 2021 12:29:30 +0200

pcl (1.11.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.11.1+dfsg
  * Drop dev link (transition is done)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 18 Aug 2020 20:22:29 +0200

pcl (1.11.0+dfsg-5) unstable; urgency=medium

  * Fix link creation

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 30 Jul 2020 10:50:15 +0200

pcl (1.11.0+dfsg-4) unstable; urgency=medium

  * Symlink old include path for libpcl-ros-dev transition

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 30 Jul 2020 08:58:57 +0200

pcl (1.11.0+dfsg-3) unstable; urgency=medium

  * Really remove old manpages

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Jul 2020 14:49:42 +0200

pcl (1.11.0+dfsg-2) unstable; urgency=medium

  * Remove Thomas from Uploaders, thanks for working on this
  * Drop old manpages
  * Remove trailing whitespaces
  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Jul 2020 07:11:54 +0200

pcl (1.11.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.11.0+dfsg
  * Rebase patches
  * Rename packages due to soVersion bump
  * bump debhelper version
  * Drop broken pcl_modeler.1 manpage (Closes: #815964)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 22 May 2020 19:49:38 +0200

pcl (1.10.1+dfsg-1) unstable; urgency=medium

  * Simplify flags, drop as-needed
  * New upstream version 1.10.1+dfsg
  * update copyright
  * rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 11 Apr 2020 01:10:57 +0200

pcl (1.10.0+dfsg-5) unstable; urgency=medium

  * Add patch to link against atomic (for armel)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 02 Feb 2020 00:35:04 +0100

pcl (1.10.0+dfsg-4) unstable; urgency=medium

  * Use clang where gcc fails due to virtual memory exhaustion

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 31 Jan 2020 23:12:44 +0100

pcl (1.10.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 30 Jan 2020 22:08:04 +0100

pcl (1.10.0+dfsg-2) experimental; urgency=medium

  * Reduce parallel jobs on armhf/el

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 29 Jan 2020 23:50:58 +0100

pcl (1.10.0+dfsg-1) experimental; urgency=medium

  * Update watch and copyright
  * New upstream version 1.10.0+dfsg
  * Update d/copyright
  * update patch
  * Rename packages due to soVersion bump
  * switch to debhelper-compat and debhelper 12

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 25 Jan 2020 09:53:21 +0100

pcl (1.9.1+dfsg1-10) unstable; urgency=medium

  [ Andreas Beckmann ]
  * libpcl-dev: Add Breaks against several vtk6 packages (Closes: #928198)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Apr 2019 20:44:32 +0200

pcl (1.9.1+dfsg1-3) unstable; urgency=medium

  * Install cmake modules (Closes: #916913)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 20 Dec 2018 22:35:03 +0100

pcl (1.9.1+dfsg1-2) unstable; urgency=medium

  * Upload to unstable
  * Support visualization on arml*
    Thanks to Adrian Bunk

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 19 Dec 2018 11:27:27 +0100

pcl (1.9.1+dfsg1-1) experimental; urgency=medium

  * New upstream version 1.9.1+dfsg1
  * Rebase patch
  * Reduce parallel on mips* as they go OOM

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 08 Dec 2018 10:43:49 +0100

pcl (1.9.0+dfsg1-1) experimental; urgency=medium

  * New upstream version 1.9.0+dfsg1
  * Update copyright
  * Drop patches merged upstream
  * Update packaging
  * Fix packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 10 Nov 2018 15:50:55 +0100

pcl (1.8.1+dfsg1-8) unstable; urgency=medium

  * Add comment regarding the inpoly copyright (cf. #909785)
  * Add patch for new flann

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 14 Oct 2018 22:19:09 +0200

pcl (1.8.1+dfsg1-7) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * simplify rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 15 Sep 2018 13:21:39 +0200

pcl (1.8.1+dfsg1-6) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * use --max-parallel=2 for Ubuntu
  * Add patch for pcl_2d-1.8.pc

  [ Adrian Bunk ]
  * Reduce the amount of debug information when building for 32bit architectures
    (Closes: #908820)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 14 Sep 2018 21:27:30 +0200

pcl (1.8.1+dfsg1-5) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Limit parallel builds on Ubuntu

  [ Jochen Sprickerhof ]
  * Add patches for Boost 1.67
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 11 Sep 2018 21:56:53 +0200

pcl (1.8.1+dfsg1-4) unstable; urgency=medium

  * Disable automatic SSE detection (LP: #1771124)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 23 Jun 2018 18:59:00 +0200

pcl (1.8.1+dfsg1-3) unstable; urgency=medium

  * remove list-missing (now done by dh_missing)
  * Fix priority
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Add patch for GCC8 (Closes: #897833)
  * Bump policy and debhelper versions
  * Fix documentation location

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 06 May 2018 12:15:00 +0200

pcl (1.8.1+dfsg1-2) unstable; urgency=medium

  * Add patch for PCL_ROOT

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 18 Aug 2017 11:31:07 +0200

pcl (1.8.1+dfsg1-1) unstable; urgency=medium

  * Update watch file
  * Remove excluded files with fixed license
  * New upstream version 1.8.1+dfsg1
  * Update copyright
  * Remove patches, applied upstream

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Aug 2017 17:59:39 +0200

pcl (1.8.0+dfsg1-6) unstable; urgency=medium

  * Upload to unstable.

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Jun 2017 05:59:17 +0200

pcl (1.8.0+dfsg1-5) experimental; urgency=medium

  * Disable QT on arm again
  * Enable parallel on all architectures again (Closes: #846520)
  * Enable PIE.
    Thanks to Adrian Bunk (Closes: #865652)
  * Bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 24 Jun 2017 11:12:20 +0200

pcl (1.8.0+dfsg1-4) experimental; urgency=medium

  * Add patch for arm build failures.
    Thanks to Gianfranco Costamagna
  * Enable QT on arm again

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Sep 2016 12:37:25 +0200

pcl (1.8.0+dfsg1-3) unstable; urgency=medium

  * Disable QT on arm (Closes: #835292)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 Sep 2016 09:30:23 +0200

pcl (1.8.0+dfsg1-2) unstable; urgency=medium

  * Remove superfluous libpcl1.8 package
  * Add patch for empty 2d lib

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 22 Aug 2016 07:46:30 +0200

pcl (1.8.0+dfsg1-1) experimental; urgency=medium

  * Imported Upstream version 1.8.0+dfsg1
  * Rebase patches
  * Add patch for removed non free code
  * Reworked debian/ files
  * Add patch for privacy-breach-logo

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 16 Aug 2016 19:25:49 +0200

pcl (1.7.2-14) unstable; urgency=medium

  * Add patch for gcc6 (Closes: #812015)
  * Move pcl-tools to section science.

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 23 Jan 2016 19:30:45 +0100

pcl (1.7.2-13) unstable; urgency=medium

  * Fix dependencies
  * Add patch to fix compilation error if no QVTK is found

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Fri, 16 Oct 2015 17:07:50 +0200

pcl (1.7.2-12) unstable; urgency=medium

  * Fix syntax in rules file
  * libvtk6-qt-dev is not available on arm

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 11 Oct 2015 16:56:06 +0200

pcl (1.7.2-11) unstable; urgency=medium

  [ Leopold Palomo-Avellaneda ]
  * Add parallel build in some Archs (!=32 bits).
    Closes: #799218

  [ Jochen Sprickerhof ]
  * Add patch for Eigen build error
  * Switch to VTK6 (Closes: #798171).

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 10 Oct 2015 23:51:16 +0200

pcl (1.7.2-10) unstable; urgency=medium

  * Fix an other FTBFS on ppc64el

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 01 Sep 2015 09:41:28 +0200

pcl (1.7.2-9) unstable; urgency=medium

  * Add patches for FTBFS with gcc5 (closes #795525)
  * Fix FTBFS on ppc64el, thanks to ChriSopht in #eigen
  * Add mips* as supported OpenNI architectures

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 17 Aug 2015 12:05:12 +0200

pcl (1.7.2-8) unstable; urgency=medium

  * Appy ggc-min-expand+disable-WITH_DOCS.diff (Closes: #780582), Thanks Dejan
    Latinovic.
  * Update architectures on libopenni-dev dependency

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 09 Jun 2015 10:55:56 +0200

pcl (1.7.2-7) unstable; urgency=medium

  * Added patch to solve sometimes FTBFS. Patch proposed by
    James Cowgill (thanks!!!). Closes: #779183

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 25 Feb 2015 23:12:50 +0100

pcl (1.7.2-6) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Remove --parallel from dh to fix build on i386 buildd.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 02 Dec 2014 08:29:43 +0100

pcl (1.7.2-5) unstable; urgency=medium

  [Leopold Palomo-Avellaneda]
  * Reverted Multi-arch field for libpcl-apps1.7.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Thu, 27 Nov 2014 18:14:40 +0100

pcl (1.7.2-4) unstable; urgency=medium

  [Leopold Palomo-Avellaneda]
  * Added missing Multi-arch field for libpcl-apps1.7.
  * Removing Multi-Arch of libpcl-dev. Closes: #770503

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Mon, 24 Nov 2014 12:27:06 +0100

pcl (1.7.2-3) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Change openni-dev to libopenni, Closes: #768953
  * Build without OpenNI when it's not available. It opens
    the number of architectures where it could be built. Closes: #769883
  * Fix PCLConfig.cmake (patch taken from Fedora). Closes: #770029

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 11 Nov 2014 15:34:43 +0100

pcl (1.7.2-2) unstable; urgency=medium

  [Leopold Palomo-Avellaneda]
  * Change install place for cmake files. Closes: #766685
  * Added dh-exec (>=0.3) dependecy.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Sun, 26 Oct 2014 09:46:18 +0100

pcl (1.7.2-1) unstable; urgency=medium

  [Thomas Moulard]
  * Initial debianization.

  [Leopold Palomo-Avellaneda]
  * Initial release. (Closes: #703579)
  * Worked from the initial debianization from Thomas Moulard.
    Jochen Sprickerhof and myself added as uploaders.
  * Added libvtk5-qt4-dev, libopenni-sensor-primesense-dev, python-vtk,
    libvtk5-qt4-dev, libqt4-opengl-dev, python-sphinx, libusb-1.0-0-dev build
    dependencies.
  * Deleted pkg-kde-tools dependency.
  * Relaxed boost dependencies.
  * Added some applications to be build: app_modeler, app_point_cloud_editor,
    in_hand_scanner in rules.
  * Renamed libpcl-tools to pcl-tools.
  * Added manpages ...
  * Added libjs-jquery dependency to calm lintian.

  [Jochen Sprickerhof]
  * Fix license file.
  * Clean up debian/rules.
  * Update Standards-Version (no changes).
  * Fix hidden dependencies with glut and OpenGL of pcl-tools.
  * Cosmetic changes.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Mon, 06 Oct 2014 09:30:55 +0200
